import { Observable } from 'rxjs';
/**
 * Operator to split a stream of Objects into it's individual property streams
 *
 * Source:
 * ---{ a:1, b:42 }-----{ a: 2, c: 1 }----{ b: 1337 }-------|
 *
 *
 * ---key:a,key:b-------key:c-------------key:b-------------|
 *
 *    key:a
 *    1-----------------2-----------------------------------|
 *
 *    key:b                               key:b
 *    42----------------|                 42----------------|
 *
 *                      key:c
 *                      1-----------------------------------|
 */
export declare function splitPropsToStreams(): (source$: any) => Observable<Observable<unknown>>;
//# sourceMappingURL=splitPropsToStreams.d.ts.map